Skip to main content
GET
/
v1
/
workflows
/
blocks
/
versions
/
{block_version_id}
Get Block Version
curl --request GET \
  --url https://api.retab.com/v1/workflows/blocks/versions/{block_version_id} \
  --header 'Api-Key: <api-key>'
{
  "id": "<string>",
  "block_id": "<string>",
  "workflow_id": "<string>",
  "workflow_version_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "label": "",
  "position_x": 0,
  "position_y": 0,
  "width": 123,
  "height": 123,
  "parent_id": "<string>",
  "config": {},
  "resolved_schemas": {},
  "config_hash": ""
}
Fetch one immutable workflow block version.
Python
block_version_id = "bkv_abc123"
print(block_version_id)
TypeScript
const blockVersionId = "bkv_abc123";
console.log(blockVersionId);
Go
blockVersionID := "bkv_abc123"
_ = blockVersionID
Java
String blockVersionId = "bkv_abc123";
System.out.println(blockVersionId);
cURL
curl "https://api.retab.com/v1/workflows/blocks/versions/bkv_abc123?workflow_id=wf_abc123" \
  -H "Api-Key: $RETAB_API_KEY"

Authorizations

Api-Key
string
header
required

Path Parameters

block_version_id
string
required

Response

Successful Response

Public block version resource without tenant or storage-only fields.

id
string
required

Public content-addressed block version ID

block_id
string
required

Stable logical block ID

workflow_id
string
required

Source workflow ID

workflow_version_id
string
required

Workflow version this block version belongs to

type
enum<string>
required
Available options:
start_document,
start_json,
note,
parse,
edit,
extract,
split,
classifier,
conditional,
api_call,
function,
while_loop,
for_each,
merge_dicts,
while_loop_sentinel_start,
while_loop_sentinel_end,
for_each_sentinel_start,
for_each_sentinel_end
created_at
string<date-time>
required
label
string
default:""
position_x
number
default:0
position_y
number
default:0
width
number | null
height
number | null
parent_id
string | null
config
Config · object
resolved_schemas
Resolved Schemas · object
config_hash
string
default:""

Stable SHA-256 hash of the executable block config